<style> .do-color {color:red} </style>
<?php
$contactHelp = file_get_contents('includes/languages/' . $language . '/view_counter/view_counter_footer.txt');
define('VC_HELP_HEADING', 'View Counter General Help');
define('VC_HELP_TEXT_MAIN', '
<div class="heading">General Purpose: </div>
<div class="section">This program provides a way to view and manage the visitors to your site and to tally certain
aspects of their visits, thus the name View Counter. It allows you to see who is, and has been, visiting your site 
and to control what is done with them, from just ignoring them, to kicking them off the site temporarily to banning them
for future visits.
</div>

<div class="section"><span class="subHeading">Data Skimmers</span> - One of the biggest problems facing shops, and hosts
for that matter, nowadays are "Data Skimmers." These are search bots that scan a site in order to obtain as much data from them
as possible. They then collate and sell this data to various advertising companies or, sometimes, hackers. Data Skimmers
don\'t help your site in any way. They can do thousands of page views in a day so they just bog the server down
and use your bandwidth. When such an IP is identified, it needs to be banned. </div>

<div class="section"><span class="subHeading">Spoofing</span> - Some hackers and spammers will emulate a search
engine to try to get by a sites defences. This is known as spoofing. You can do it yourself using browser addons meant 
for this purpose. It can be a legitimate way to test a site since it helps to know what the search engines are
seeing. If such an IP is identified, it will have "Spoofed" added to the name. Be sure to check the owner of the IP
before banning it since some search engine bots can be seen as spoofed.</div>

<div class="heading" style="padding-top:4px">Configuration Settings: </div>
<div class="section"><span class="subHeading">ON/OFF</span> - This turns View Counter on or off. With it 
set to off, it will not function at all and is, effectively, removed from the shop.</div>

<div class="section"><span class="subHeading">Active Time</span> - This is used to determine what constitutes a 
live session.</div>

<div class="section"><span class="subHeading">Allow IPv5 IP\'s</span> - This is to allow the code to handle the V6 IP format. It 
is currently not completely enabled so this setting should be left disabled at this point.
</div>

<div class="section"><span class="subHeading">Autofill Create Account</span> - This allows some of the fields on the create account 
page to be filled in. The fields are Cty, State, Postal Code and Country. Which ones are filled in delends on the IP2Location database 
the shop is using. The code for this option may conflict with some addons that manipulate these fields so be sure to test the 
page afterwards. 
</div>

<div class="section"><span class="subHeading">Bad Bot Trap</span> - There is a directory and file in the root directory who\'s
only purpose is trap bad bots or hackers. When View Counter is installed they are mentioned in the .htaccess and robots files. 
If a search engine or hacker attempts to load the file or enter that directory, they are flagged. Some search engines, mainly 
Google and Bing, will visit such locations regardless of the robots entry so you shouldn\'t automatically ban IP\'s that are 
shown to have visited either.</div>

<div class="section"><span class="subHeading">Block Countries Shop</span> - This setting only applies to the shop side and 
controls whether countries are blocked and which database is used to get data about the IP\'s. If the setting is set to Off, 
then countries won\'t be blocked. If set to Internal, checking is done using a database in the form of a file on the server. 
If set to External, the file database is still checked first for speed but then external web sites are checked. This can result 
is better results but if the external sites are slow to load, your site will also slow down. If you want to block countries from your site, Internal is recommended.</div>

<div class="section"><span class="subHeading">Block Countries Allow Bots</span> - This setting is only used if the Block Countries Shop options 
is enabled. If this one is set to On, then search engines are not blocked, even if they are from a blocked country. If Off, then 
all IP\'s from a blocked country are blocked, even search engines. This can be an important setting for sites that use
google remarketing since they want all countries to have access to the site.</div>

<div class="section"><span class="subHeading">Countries Check Admin</span> - This setting is similar to the Block Countries 
Shop setting except it controls the admin side. It also doesn\'t block countries. The setting just determines which database is used 
in admin. Since the slowness in admin is less catastrophic, using External for this setting may provide better results without too 
much slowness.</div>

<div class="section"><span class="subHeading">Create Account Check (<spam class="do-color">Pro Version Only</span>)</span> - Enable checking of 
accounts. The account will be rejected if it occurs too soon basded on the "Create Account Check Period " setting.</div>

<div class="section"><span class="subHeading">Create Account Check Period (<spam class="do-color">Pro Version Only</span>)</span> - This controls 
the minimum amount a time a second account may be created. The persons IP is recorded and if that IP is used in subsequent 
account creations and falls within this period, the creation will fail. </div>

<div class="section"><span class="subHeading">Create Account Notification (<spam class="do-color">Pro Version Only</span>)</span> - This enables 
email notification when the "too many accounts" check is triggered. The Email address set in the Send Emails setting is used for this notification. </div>

<div class="section"><span class="subHeading">Data Skimmers Minimum Count (<spam class="do-color">Pro Version Only</span>)</span> - This sets the minimum number of
hits that occur before an IP is considered a skimmer.</div>

<div class="section"><span class="subHeading">Data Skimmers Period of Time (<spam class="do-color">Pro Version Only</span>)</span> - This sets the time frame to evaluate to see how many 
clicks an IP has made.</div>

<div class="section"><span class="subHeading">Data Skimmers Show Bots (<spam class="do-color">Pro Version Only</span>)</span> - This causes search bots to be considered when evaluating
skimmers. This may be useful to identify bad bots and spoofers. If enabled, be careful when banning any that show since they may be legitimate bots.
</div>

<div class="section"><span class="subHeading">Email Tracking (<spam class="do-color">Pro Version Only</span>)</span> - This causes all
emails sent from the shop to be recorded, along with the IP used to send the email. The Email report in admin can then be used to block the IP\s.</div>

<div class="section"><span class="subHeading">Email Word Filter (<spam class="do-color">Pro Version Only</span>)</span> - This checks all
emails sent from the shop to see if any of the "Bad Words" are in it. If so, the email will not be sent.</div>

<div class="section"><span class="subHeading">Enable Word Tracker (<spam class="do-color">Pro Version Only</span>)</span> - This setting 
enables the code to record all searches done on the shop side. They can then be displayed in a report in admin. This is very 
useful for a shop owner since it allows them to see what is most important to their customers.
</div>

<div class="section"><span class="subHeading">IP Count Show Method (<spam class="do-color">Pro Version Only</span>)</span> - This option 
allows the open method used to view the IP counts to be selected - either by clicking or hovering.</div>

<div class="section"><span class="subHeading">IP Block by .htaccess (<spam class="do-color">Pro Version Only</span>)</span> - This option 
allows blocking IP\'s using the database table instead of the .htaccess file. Since the .htaccess file has to be loaded 
for every page, checking from the database can be quicker if the number of IP\'s being blocked is large. If you 
turn this option off, it is important that you enter your IP into the good IP setting since it is more difficult 
to clear should you lock yourself out.</div>

<div class="section"><span class="subHeading">Database</span> - This contains the name of the IP2Location database being used. It 
can be any name you like as long as the file actually exists and ends in ".bin". It can be set through the configuration 
section or in the Tools->Mantainance section.
</div>

<div class="section"><span class="subHeading">Database DB Code</span> - This is the name of the database file that is supplied in 
your account at <a style="color:purple;font-weight:bold;" href="https://lite.ip2location.com/file-download" target="_blank">IP2Location</a>. It is required to use the auto database updater 
script.
</div>

<div class="section"><span class="subHeading">Database DB Token</span> - This is the token string that is supplied in 
your account at <a style="color:purple;font-weight:bold;" href="https://lite.ip2location.com/file-download" target="_blank">IP2Location</a>. It is required to use the auto database updater 
script.
</div>

<div class="section"><span class="subHeading">Date Format</span> - This controls the format of the date displayed in the 
monitor section.</div>

<div class="section"><span class="subHeading">Force Reset</span> - This controls the number of days data is stored
in the main View Counter table. Too long of a period can result in a very large amount of data being stored, depending upon
how busy the site is.</div>

<div class="section"><span class="subHeading">Force Reset Storage</span> - This controls the number of days data is stored
in the View Counter storage table. This table is a duplicate of the main View Counter table but is not accessed as much. This
speeds up access to the main table. The length of time for this table should be a longer period since it is used for the
reports.</div>

<div class="section"><span class="subHeading">Hide Admin Links</span> - This contains any IP\'s that you would like to 
skip in the listings, like your own IP. Multiple IP\'s can be entered by separating them with a comma.</div>

<div class="section"><span class="subHeading">Item Name Length</span> - This controls the length of text displayed on the 
monitor pages for what is in the shopping cart.</div>

<div class="section"><span class="subHeading">Kick Off</span> - If enabled, the Kick Off option in the monitor
section will be enabled. When that button is clicked, the visitor with that IP is temporarily kicked off of the site.</div>

<div class="section"><span class="subHeading">Page Refresh Period</span> - This controls how often the monitor
page is refreshed. Leaving it blank means it is never refreshed.</div>

<div class="section"><span class="subHeading">Report Display</span> - This controls how some reports are displayed. The choices 
are Chart, Table or both. All reports can be displayed in the standard table format. But the ones that are able to use the chart 
format will work with the setting. The chart format uses googles chart code to display the details in the form of a bar graph. 
</div>

<div class="section"><span class="subHeading">Rows Per Page</span> - This controls how many rows are displayed
on View Counters monitor page.</div>

<div class="section"><span class="subHeading">Send Emails To</span> - If you would like emails generated by View Counter
to be sent to some address other than what is declared as the shops email address, enter it here.</div>

<div class="section"><span class="subHeading">Show Cart Inline</span> - Displays the cart contents on the page when set to true 
or via a mouseover when set to false.</div>
<div class="section"><span class="subHeading">Show Flags</span> - This controls whether the flags are displayed
in the listing or not. The countries of some IP\'s cannot be found due to a limitation of the free database being used.</div>

<div class="section"><span class="subHeading">Show Account Details</span> - If on and a customer with an account is logged in, 
the details of that customer will be displayed in a popup on the monitor page.</div>

<div class="section" style="padding-bottom:4px"><span class="subHeading">Version checker</span> - This controls how the version of View Counter is checked. 
</div>

' . $contactHelp );