<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<script type="text/javascript">

  // Load the Visualization API and the corechart package.
  google.charts.load('current', {'packages':['corechart']});

  // Set a callback to run when the Google Visualization API is loaded.
  google.charts.setOnLoadCallback(drawChart);

  // Callback that creates and populates a data table,
  // instantiates the pie chart, passes in the data and
  // draws it.
  function drawChart() {
   
    var countries = <?php echo json_encode($countries, JSON_PRETTY_PRINT) ?>;  

    // Create the data table.
    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Total');
    data.addColumn('number', 'Total');

console.log(countries);

    for (var i = 0; i < countries.length; ++i) {
      data.addRows([
        [countries[i]['name'], countries[i]['count']]
      ]);
    }

    // set inner height to 30 pixels per row
    var chartAreaHeight = countries.length * 30;
    // add padding to outer height to accomodate title, axis labels, etc
    var chartHeight = chartAreaHeight + 80;

    // Set chart options
    var options = {'title':'<?php echo $thisTitle; ?>',
        height: chartHeight,
        chartArea: {
            height: chartAreaHeight
    }};
    
    // Instantiate and draw our chart, passing in some options.
    var chart = new google.visualization.BarChart(document.getElementById('chart_div'));
    chart.draw(data, options);         
  }
  
  $("#change-view-flagcount").click(function(){
   
    if ($("#chartview").css("display") == "none") { 
      $("#chartview").css("display", "block");
      $("#tableview").css("display", "none");
      drawChart(); //refresh the display
    } else {
      $("#chartview").css("display", "none");
      $("#tableview").css("display", "block");
    }
  }); 
</script>